Description

Il me faut le diagramme des flux expliquant le fonctionnement entre ui (beem), service (beem) et serveur (xmpp), avec un autre
diagramme representant un exemple de cas genre connexion et getRoster()

History

#1 - 06/09/2009 12:29 AM - Jean-Manuel Da Silva
- File flux_beem_vs_xmpp_server.png added
- File flux_beem_vs_xmpp_server.vsd added

- % Done changed from 0 to 50

Création d'un diagramme montrant les flux entre BEEM et un serveur XMPP.

#2 - 06/10/2009 05:24 PM - Jean-Manuel Da Silva
- File flux_beem_vs_xmpp_server_en.vsd added

- File flux_login_activity _en.png added

- File flux_login_activity _en.vsd added

- File flux_beem_vs_xmpp_server_fr.png added

- File flux_beem_vs_xmpp_server_fr.vsd added

- File flux_beem_vs_xmpp_server_en.png added

- % Done changed from 50 to 90

Réalisation du diagramme de flux pour l'activité Login, version anglaise.

En attente du feedback :)

#3 - 06/10/2009 05:24 PM - Jean-Manuel Da Silva

- File deleted (flux_beem_vs_xmpp_server.png)

#4 - 06/10/2009 05:25 PM - Jean-Manuel Da Silva

- File deleted (flux_beem _vs_xmpp_server.vsd)

#5 - 06/10/2009 05:40 PM - Jean-Manuel Da Silva
- File flux_login_activity_en.png added

- File flux_login_activity _en.vsd added

- File flux_login_activity fr.png added

- File flux_login_activity _fr.vsd added

#6 - 06/10/2009 05:40 PM - Jean-Manuel Da Silva
- File deleted (flux_login_activity _en.png)

#7 - 06/10/2009 05:40 PM - Jean-Manuel Da Silva
- File deleted (flux_login_activity_en.vsd)

#8 - 06/10/2009 06:17 PM - Jean-Manuel Da Silva
flux_beem_vs_xmpp_server_fr.png

Titre
Intéractions entre BEEM et un serveur XMPP

Texte

Le diagramme présent ci-dessus montre les différents flux entrant en action lors des échanges entre BEEM et un serveur XMPP.
Prenons I'exemple de I'ajout d'un contact :

1 - L'utilisateur, par le biais de l'interface Homme-Machine saisi les informations du nouveau contact

2 - Via un méchanisme de communication inter-processus (IPC), I'activité en charge d'ajouter un contact fait appel au service XMPP
3 - Le service XMPP fait le demande au serveur XMPP en XML

4 - Le serveur XMPP retourne une réponse en XML au service XMPP

5 - Le service XMPP traite la réponse et notifie I'interface homme-machine

flux_login_activity_fr.png

Titre
Connection au serveur XMPP

Texte

Le diagramme ci-dessus montre la procédure de connection a un serveur XMPP.

L'activité Login se lance et démarre le service XMPP. Celui-ci essaye de se connecter au serveur XMPP.

Une fois que l'activité Login a récupérée le statut de la connexion du service XMPP, deux actions sont possibles :
1 - Lancer l'activité ContactList qui affiche la liste des contacts de I'utilisateur connecté

2 - Afficher une fenétre d'alerte proposant la mise a jour des paramétres du serveur XMPP

Dans le cas de la fenétre d'alerte, I'utilisateur a deux choix :
1 - L'ignorer et donc réessayer de se connecter avec les mémes parameétres
2 - Modifier les paramétre du serveur XMPP en lancant I'activité EditSettings

#9 - 06/10/2009 06:22 PM - Jean-Manuel Da Silva
- Status changed from Assigned to Feedback
- % Done changed from 90 to 100

#10 - 06/10/2009 06:38 PM - Vincent Véronis
- Status changed from Feedback to Closed
